{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "c_structure"; 
            externalType = VARCHAR2; 
            name = cStructure; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = "log_ordre"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "no_individu"; }; 
            name = logOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ONB_ID"; 
            externalType = NUMBER; 
            name = onbId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ORG_CANAL_OBLIGATOIRE"; 
            externalType = NUMBER; 
            name = orgCanalObligatoire; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ORG_CONVENTION_OBLIGATOIRE"; 
            externalType = NUMBER; 
            name = orgConventionObligatoire; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ORG_CR"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "ORG_COMP"; }; 
            name = orgCr; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ORG_DATE_CLOTURE"; 
            externalType = DATE; 
            name = orgDateCloture; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ORG_DATE_MODIFICATION"; 
            externalType = DATE; 
            name = orgDateModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "ORG_DATE_OUVERTURE"; 
            externalType = DATE; 
            name = orgDateOuverture; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ORG_ETAB"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "ORG_COMP"; }; 
            name = orgEtab; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "ORG_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "org_id"; }; 
            name = orgId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ORG_ID_REPRISE"; 
            externalType = NUMBER; 
            name = orgIdReprise; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ORG_LIB"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "ORG_LIB"; }; 
            name = orgLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 500; 
        }, 
        {
            columnName = "ORG_LUCRATIVITE"; 
            externalType = NUMBER; 
            name = orgLucrativite; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ORG_NIV"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "ORG_NIV"; }; 
            name = orgNiveau; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ORG_OP_AUTORISEES"; 
            externalType = NUMBER; 
            name = orgOpAutorisees; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ORG_PERE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "ORG_RAT"; }; 
            name = orgPere; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ORG_PERS_ID_MODIFICATION"; 
            externalType = NUMBER; 
            name = orgPersonneModification; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ORG_SOUSCR"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "ORG_COMP"; }; 
            name = orgSouscr; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ORG_UB"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "ORG_COMP"; }; 
            name = orgUb; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "ORG_UNIV"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "ORG_COMP"; }; 
            name = orgUniv; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TYOR_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "tor_id"; }; 
            name = tyorId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (orgDateModification, orgId, orgPersonneModification); 
    className = "org.cocktail.jefyadmin.server.metier.EOOrgan"; 
    classProperties = (
        orgCr, 
        orgDateCloture, 
        orgDateOuverture, 
        orgEtab, 
        orgLibelle, 
        orgLucrativite, 
        orgNiveau, 
        orgSouscr, 
        orgUb, 
        orgUniv, 
        organFils, 
        organPere, 
        organProratas, 
        organSignataires, 
        structureUlr, 
        typeOrgan, 
        utilisateurOrgans, 
        toOrgCanalObligatoire, 
        toOrgOpAutorisees, 
        toOrganReprise, 
        orgDateModification, 
        orgPersonneModification, 
        toNatureBudget, 
        toOrgConventionObligatoire
    ); 
    externalName = "JEFY_ADMIN.ORGAN"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            orgCr, 
            orgDateCloture, 
            orgDateOuverture, 
            orgEtab, 
            orgLibelle, 
            orgLucrativite, 
            orgNiveau, 
            orgSouscr, 
            orgUb, 
            orgUniv, 
            organFils, 
            organPere, 
            organProratas, 
            organSignataires, 
            structureUlr, 
            typeOrgan, 
            utilisateurOrgans, 
            toOrgCanalObligatoire, 
            toOrgOpAutorisees, 
            toOrganReprise, 
            orgDateModification, 
            orgPersonneModification, 
            toNatureBudget, 
            toOrgConventionObligatoire
        ); 
        "_javaClientClassName" = "org.cocktail.jefyadmin.client.metier.EOOrgan"; 
        "_nameInObjectStore" = "V_ORGAN"; 
    }; 
    name = Organ; 
    primaryKeyAttributes = (orgId); 
    relationships = (
        {
            destination = Organ; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = orgPere; sourceAttribute = orgId; }); 
            name = organFils; 
        }, 
        {
            destination = Organ; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = orgId; sourceAttribute = orgPere; }); 
            name = organPere; 
        }, 
        {
            destination = OrganProrata; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = orgId; sourceAttribute = orgId; }); 
            name = organProratas; 
        }, 
        {
            destination = OrganSignataire; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = orgId; sourceAttribute = orgId; }); 
            name = organSignataires; 
        }, 
        {
            destination = StructureUlr; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = cStructure; sourceAttribute = cStructure; }); 
            name = structureUlr; 
        }, 
        {
            destination = OrganNatureBudget; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = onbId; sourceAttribute = onbId; }); 
            name = toNatureBudget; 
        }, 
        {
            destination = Organ; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = orgId; sourceAttribute = orgIdReprise; }); 
            name = toOrganReprise; 
        }, 
        {
            destination = TypeEtat; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tyetId; sourceAttribute = orgCanalObligatoire; }); 
            name = toOrgCanalObligatoire; 
        }, 
        {
            destination = TypeEtat; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tyetId; sourceAttribute = orgConventionObligatoire; }); 
            name = toOrgConventionObligatoire; 
        }, 
        {
            destination = TypeEtat; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tyetId; sourceAttribute = orgOpAutorisees; }); 
            name = toOrgOpAutorisees; 
        }, 
        {
            destination = TypeOrgan; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tyorId; sourceAttribute = tyorId; }); 
            name = typeOrgan; 
        }, 
        {
            destination = UtilisateurOrgan; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = orgId; sourceAttribute = orgId; }); 
            name = utilisateurOrgans; 
        }
    ); 
}
